from app import create_app
from app.config.config import Config, DevelopmentConfig  # 新增配置导入
from app.core.graph.graph_operations import MyEncoder

app = create_app(DevelopmentConfig)

if __name__ == '__main__':
    # 修改后带端口配置的启动命令
    app.run(
        host='0.0.0.0',
        port=DevelopmentConfig.PORT,  # 从配置类获取端口
        debug=DevelopmentConfig.DEBUG,
        use_reloader=False if DevelopmentConfig.PLATFORM == 'linux' else True
    ) 